Name:           qbootctl
Version:        0.1.2
Release:        1%{?dist}
Summary:        Qualcomm bootctl HAL for Linux

License:        GPL-3
URL:            https://gitlab.com/sdm845-mainline/qbootctl
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++ meson zlib-devel
Requires:       zlib

%description
This HAL was pulled from AOSP source code and bastardised to build and run on a
musl/glibc system. This may or may not render any hardware you run it on
unusable, you have been warned.

%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_bindir}/qbootctl


%changelog
* Mon May 08 2023 Eric Chanudet <echanude@redhat.com> 0.1.2-1
- Initial packaging.

